Foreman - Feature #18178

Host creation using ovirt template and disk cloning
01/20/2017 09:27 AM - Fabrizio Nota

Status: Duplicate

Priority: Normal

Assignee:

Category: Compute resources - oVirt

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

I'd like to create an host from a ovirt template with disk cloning.

| can create a vm with cloned disk using the rhev/ovirt gui selecting Clone in Resource Allocation but i can't find how to do it in
katello, there's no way to choose between thin / clone disk

Am | missing something or it's a feature wich is actually not present?

In this case, do you plan to implement it?

Thanks in advance

Related issues:
Is duplicate of Foreman - Bug #10273: Create VM from image with preallocated ... Closed 04/27/2015

History

#1 - 01/20/2017 11:24 AM - Fabrizio Nota

- Assignee set to Justin Sherrill

#2 - 01/20/2017 03:15 PM - Anonymous
- Project changed from Katello to Foreman
- Category set to Compute resources - oVirt

- Assignee deleted (Justin Sherrill)

#3 - 01/23/2017 03:09 AM - Dominic Cleal

- Status changed from New to Feedback

Hosts can be created on oVirt CRs when selecting image provisioning on the OS tab, after setting up a template under the compute resource in the
ul.

#4 - 01/23/2017 08:01 AM - Fabrizio Nota
- File katello.jpg added
- File ovirt.png added
- File Selezione _012.png added
Dominic Cleal wrote:
Hosts can be created on oVirt CRs when selecting image provisioning on the OS tab, after setting up a template under the compute resource in

the UL

First of all, seems like it's not working
Host Puppet Classes

Network interfaces

Interfaces

vdc1-01

Operating System

Virtual Machine

Cent0S-7-x86_64-GenericCloud-1612.qcow?2 (base version)

oVirt/RHEV template to use

2 GB

¥ Power ON this machine

Metwork interfaces management has been moved to the Interfaces tab. Please set your interfaces there.

Storage

Storage domain

Preallocate disk

+ Add Volume

Nome:
Descrizione:
Template

Sistema Operativo:
Protocollo grafico

Tipo Video:
Priorita:

5d01sd01

) Uses thin provisioning if unchecked

Only one volume can be bootable

CentOS-7-x86_64-GenericCloud-
1612.qcow2 (Thin/Dependent)

Memoria definita:

Memoria Fisica Garantita:

Memoria Libera/Cached/Buffered del
Guest OS

Numero di CPU Cores:

Numero CPU Guest

Altamente Disponibile:
Numere di Monitor:
Policy USB:

2048 MB
1MB
Non Configurata

1{1:4:1)
N/D

No
1
Disabilitato

Parameters

Additional Information

Origine: ovirt
Qualsiasi Host del Cluster
Non Configurato

Eseguire Su:
Proprieta Personalizzate:

Versione di Compatibilita del Cluster: 4.0

1D VM b817b390-716e-4825-afb3-
5e605bBedsB2

Time Zone: Etc/GMT

Modificare Disco Virtuale p M

Dimensione (GB)

Estendi la dimensione di (GB)

Alias

Descrizione
Interfaccia

Dominio Storage
Policy di Allocazione

Profilo Disco

BB

o

[CentOS-7-x86_64-GenericCloud-1612.|

[wirtio v
[sd01 (71 GB liberi di 91 GB) v|
|"I'hin Provision T |

| sd01

I've also tried to uncheck Preallocate disk but nothing changed
Effettuare il Wipe dpo la cancellazione
|#| Avviabile
Condivisibile

Sola lettura
Btw, how can i do it with the cli only?

TIA

#5 - 01/23/2017 08:02 AM - Dominic Cleal
- Is duplicate of Bug #10273: Create VM from image with preallocated disk (oVirt) added

#6 - 01/23/2017 08:04 AM - Dominic Cleal

- Status changed from Feedback to Duplicate

I've also tried to uncheck Preallocate disk but nothing changed

This is bug #10273, where thin provisioned disks are created when cloning despite preallocate being checked. I'll close this to track it there.

If you're unsure how to use the CLI from its documentation, please use the support methods at https:/theforeman.org/support.html, i.e. foreman-users
or #theforeman.

Files

ovirt.png 46 KB 01/23/2017 Fabrizio Nota
katello.jpg 103 KB 01/23/2017 Fabrizio Nota
Selezione_012.png 38 KB 01/23/2017 Fabrizio Nota

05/20/2024 3/3


https://projects.theforeman.org/issues/10273
https://theforeman.org/support.html
http://www.tcpdf.org

